// $ANTLR 3.4 C:\\Users\\Woody\\Documents\\antlr\\SGF.g 2012-11-14 04:25:56
package net.woodyfolsom.msproj.sgf;

import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;

@SuppressWarnings({"all", "warnings", "unchecked"})
public class SGFLexer extends Lexer {
    public static final int EOF=-1;
    public static final int T__20=20;
    public static final int T__21=21;
    public static final int T__22=22;
    public static final int T__23=23;
    public static final int T__24=24;
    public static final int T__25=25;
    public static final int T__26=26;
    public static final int T__27=27;
    public static final int T__28=28;
    public static final int T__29=29;
    public static final int T__30=30;
    public static final int T__31=31;
    public static final int T__32=32;
    public static final int T__33=33;
    public static final int T__34=34;
    public static final int T__35=35;
    public static final int T__36=36;
    public static final int T__37=37;
    public static final int T__38=38;
    public static final int T__39=39;
    public static final int T__40=40;
    public static final int T__41=41;
    public static final int T__42=42;
    public static final int T__43=43;
    public static final int T__44=44;
    public static final int T__45=45;
    public static final int T__46=46;
    public static final int T__47=47;
    public static final int T__48=48;
    public static final int T__49=49;
    public static final int T__50=50;
    public static final int T__51=51;
    public static final int T__52=52;
    public static final int T__53=53;
    public static final int T__54=54;
    public static final int T__55=55;
    public static final int T__56=56;
    public static final int T__57=57;
    public static final int COLON=4;
    public static final int COMMA=5;
    public static final int DIGIT=6;
    public static final int LBRACKET=7;
    public static final int LCLETTER=8;
    public static final int LPAREN=9;
    public static final int MINUS=10;
    public static final int PERIOD=11;
    public static final int PLUS=12;
    public static final int RBRACKET=13;
    public static final int RPAREN=14;
    public static final int SEMICOLON=15;
    public static final int SLASH=16;
    public static final int SPACE=17;
    public static final int STRVALUE=18;
    public static final int UCLETTER=19;

    // delegates
    // delegators
    public Lexer[] getDelegates() {
        return new Lexer[] {};
    }

    public SGFLexer() {} 
    public SGFLexer(CharStream input) {
        this(input, new RecognizerSharedState());
    }
    public SGFLexer(CharStream input, RecognizerSharedState state) {
        super(input,state);
    }
    public String getGrammarFileName() { return "C:\\Users\\Woody\\Documents\\antlr\\SGF.g"; }

    // $ANTLR start "T__20"
    public final void mT__20() throws RecognitionException {
        try {
            int _type = T__20;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:4:7: ( 'AB' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:4:9: 'AB'
            {
            match("AB"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__20"

    // $ANTLR start "T__21"
    public final void mT__21() throws RecognitionException {
        try {
            int _type = T__21;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:5:7: ( 'AP' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:5:9: 'AP'
            {
            match("AP"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__21"

    // $ANTLR start "T__22"
    public final void mT__22() throws RecognitionException {
        try {
            int _type = T__22;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:6:7: ( 'AW' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:6:9: 'AW'
            {
            match("AW"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__22"

    // $ANTLR start "T__23"
    public final void mT__23() throws RecognitionException {
        try {
            int _type = T__23;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:7:7: ( 'B' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:7:9: 'B'
            {
            match('B'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__23"

    // $ANTLR start "T__24"
    public final void mT__24() throws RecognitionException {
        try {
            int _type = T__24;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:8:7: ( 'BC' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:8:9: 'BC'
            {
            match("BC"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__24"

    // $ANTLR start "T__25"
    public final void mT__25() throws RecognitionException {
        try {
            int _type = T__25;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:9:7: ( 'BR' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:9:9: 'BR'
            {
            match("BR"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__25"

    // $ANTLR start "T__26"
    public final void mT__26() throws RecognitionException {
        try {
            int _type = T__26;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:10:7: ( 'Black' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:10:9: 'Black'
            {
            match("Black"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__26"

    // $ANTLR start "T__27"
    public final void mT__27() throws RecognitionException {
        try {
            int _type = T__27;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:11:7: ( 'C' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:11:9: 'C'
            {
            match('C'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__27"

    // $ANTLR start "T__28"
    public final void mT__28() throws RecognitionException {
        try {
            int _type = T__28;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:12:7: ( 'CA' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:12:9: 'CA'
            {
            match("CA"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__28"

    // $ANTLR start "T__29"
    public final void mT__29() throws RecognitionException {
        try {
            int _type = T__29;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:13:7: ( 'CP' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:13:9: 'CP'
            {
            match("CP"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__29"

    // $ANTLR start "T__30"
    public final void mT__30() throws RecognitionException {
        try {
            int _type = T__30;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:14:7: ( 'DT' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:14:9: 'DT'
            {
            match("DT"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__30"

    // $ANTLR start "T__31"
    public final void mT__31() throws RecognitionException {
        try {
            int _type = T__31;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:15:7: ( 'DaTe' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:15:9: 'DaTe'
            {
            match("DaTe"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__31"

    // $ANTLR start "T__32"
    public final void mT__32() throws RecognitionException {
        try {
            int _type = T__32;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:16:7: ( 'EV' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:16:9: 'EV'
            {
            match("EV"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__32"

    // $ANTLR start "T__33"
    public final void mT__33() throws RecognitionException {
        try {
            int _type = T__33;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:17:7: ( 'EVent' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:17:9: 'EVent'
            {
            match("EVent"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__33"

    // $ANTLR start "T__34"
    public final void mT__34() throws RecognitionException {
        try {
            int _type = T__34;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:18:7: ( 'FF' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:18:9: 'FF'
            {
            match("FF"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__34"

    // $ANTLR start "T__35"
    public final void mT__35() throws RecognitionException {
        try {
            int _type = T__35;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:19:7: ( 'GM' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:19:9: 'GM'
            {
            match("GM"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__35"

    // $ANTLR start "T__36"
    public final void mT__36() throws RecognitionException {
        try {
            int _type = T__36;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:20:7: ( 'GaMe' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:20:9: 'GaMe'
            {
            match("GaMe"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__36"

    // $ANTLR start "T__37"
    public final void mT__37() throws RecognitionException {
        try {
            int _type = T__37;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:21:7: ( 'KM' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:21:9: 'KM'
            {
            match("KM"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__37"

    // $ANTLR start "T__38"
    public final void mT__38() throws RecognitionException {
        try {
            int _type = T__38;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:22:7: ( 'PB' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:22:9: 'PB'
            {
            match("PB"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__38"

    // $ANTLR start "T__39"
    public final void mT__39() throws RecognitionException {
        try {
            int _type = T__39;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:23:7: ( 'PC' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:23:9: 'PC'
            {
            match("PC"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__39"

    // $ANTLR start "T__40"
    public final void mT__40() throws RecognitionException {
        try {
            int _type = T__40;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:24:7: ( 'PW' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:24:9: 'PW'
            {
            match("PW"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__40"

    // $ANTLR start "T__41"
    public final void mT__41() throws RecognitionException {
        try {
            int _type = T__41;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:25:7: ( 'PlaCe' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:25:9: 'PlaCe'
            {
            match("PlaCe"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__41"

    // $ANTLR start "T__42"
    public final void mT__42() throws RecognitionException {
        try {
            int _type = T__42;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:26:7: ( 'PlayerBlack' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:26:9: 'PlayerBlack'
            {
            match("PlayerBlack"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__42"

    // $ANTLR start "T__43"
    public final void mT__43() throws RecognitionException {
        try {
            int _type = T__43;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:27:7: ( 'PlayerWhite' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:27:9: 'PlayerWhite'
            {
            match("PlayerWhite"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__43"

    // $ANTLR start "T__44"
    public final void mT__44() throws RecognitionException {
        try {
            int _type = T__44;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:28:7: ( 'RE' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:28:9: 'RE'
            {
            match("RE"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__44"

    // $ANTLR start "T__45"
    public final void mT__45() throws RecognitionException {
        try {
            int _type = T__45;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:29:7: ( 'REsult' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:29:9: 'REsult'
            {
            match("REsult"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__45"

    // $ANTLR start "T__46"
    public final void mT__46() throws RecognitionException {
        try {
            int _type = T__46;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:30:7: ( 'RU' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:30:9: 'RU'
            {
            match("RU"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__46"

    // $ANTLR start "T__47"
    public final void mT__47() throws RecognitionException {
        try {
            int _type = T__47;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:31:7: ( 'SO' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:31:9: 'SO'
            {
            match("SO"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__47"

    // $ANTLR start "T__48"
    public final void mT__48() throws RecognitionException {
        try {
            int _type = T__48;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:32:7: ( 'SZ' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:32:9: 'SZ'
            {
            match("SZ"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__48"

    // $ANTLR start "T__49"
    public final void mT__49() throws RecognitionException {
        try {
            int _type = T__49;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:33:7: ( 'SiZe' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:33:9: 'SiZe'
            {
            match("SiZe"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__49"

    // $ANTLR start "T__50"
    public final void mT__50() throws RecognitionException {
        try {
            int _type = T__50;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:34:7: ( 'TM' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:34:9: 'TM'
            {
            match("TM"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__50"

    // $ANTLR start "T__51"
    public final void mT__51() throws RecognitionException {
        try {
            int _type = T__51;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:35:7: ( 'US' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:35:9: 'US'
            {
            match("US"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__51"

    // $ANTLR start "T__52"
    public final void mT__52() throws RecognitionException {
        try {
            int _type = T__52;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:36:7: ( 'VW' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:36:9: 'VW'
            {
            match("VW"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__52"

    // $ANTLR start "T__53"
    public final void mT__53() throws RecognitionException {
        try {
            int _type = T__53;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:37:7: ( 'VieW' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:37:9: 'VieW'
            {
            match("VieW"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__53"

    // $ANTLR start "T__54"
    public final void mT__54() throws RecognitionException {
        try {
            int _type = T__54;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:38:7: ( 'W' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:38:9: 'W'
            {
            match('W'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__54"

    // $ANTLR start "T__55"
    public final void mT__55() throws RecognitionException {
        try {
            int _type = T__55;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:39:7: ( 'WC' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:39:9: 'WC'
            {
            match("WC"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__55"

    // $ANTLR start "T__56"
    public final void mT__56() throws RecognitionException {
        try {
            int _type = T__56;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:40:7: ( 'WR' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:40:9: 'WR'
            {
            match("WR"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__56"

    // $ANTLR start "T__57"
    public final void mT__57() throws RecognitionException {
        try {
            int _type = T__57;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:41:7: ( 'White' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:41:9: 'White'
            {
            match("White"); 



            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "T__57"

    // $ANTLR start "SPACE"
    public final void mSPACE() throws RecognitionException {
        try {
            int _type = SPACE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:177:8: ( ' ' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:177:10: ' '
            {
            match(' '); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "SPACE"

    // $ANTLR start "DIGIT"
    public final void mDIGIT() throws RecognitionException {
        try {
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:179:17: ( '0' .. '9' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:
            {
            if ( (input.LA(1) >= '0' && input.LA(1) <= '9') ) {
                input.consume();
            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;
            }


            }


        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "DIGIT"

    // $ANTLR start "COLON"
    public final void mCOLON() throws RecognitionException {
        try {
            int _type = COLON;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:181:8: ( ':' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:181:10: ':'
            {
            match(':'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "COLON"

    // $ANTLR start "MINUS"
    public final void mMINUS() throws RecognitionException {
        try {
            int _type = MINUS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:183:8: ( '-' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:183:10: '-'
            {
            match('-'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "MINUS"

    // $ANTLR start "PERIOD"
    public final void mPERIOD() throws RecognitionException {
        try {
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:185:18: ( '.' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:185:20: '.'
            {
            match('.'); 

            }


        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "PERIOD"

    // $ANTLR start "COMMA"
    public final void mCOMMA() throws RecognitionException {
        try {
            int _type = COMMA;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:187:8: ( ',' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:187:10: ','
            {
            match(','); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "COMMA"

    // $ANTLR start "PLUS"
    public final void mPLUS() throws RecognitionException {
        try {
            int _type = PLUS;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:189:7: ( '+' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:189:9: '+'
            {
            match('+'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "PLUS"

    // $ANTLR start "SLASH"
    public final void mSLASH() throws RecognitionException {
        try {
            int _type = SLASH;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:191:8: ( '/' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:191:10: '/'
            {
            match('/'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "SLASH"

    // $ANTLR start "STRVALUE"
    public final void mSTRVALUE() throws RecognitionException {
        try {
            int _type = STRVALUE;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:194:10: ( ( UCLETTER | LCLETTER | MINUS | DIGIT | SPACE | PERIOD | COMMA | PLUS | SLASH | COLON )+ )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:194:12: ( UCLETTER | LCLETTER | MINUS | DIGIT | SPACE | PERIOD | COMMA | PLUS | SLASH | COLON )+
            {
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:194:12: ( UCLETTER | LCLETTER | MINUS | DIGIT | SPACE | PERIOD | COMMA | PLUS | SLASH | COLON )+
            int cnt1=0;
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==' '||(LA1_0 >= '+' && LA1_0 <= ':')||(LA1_0 >= 'A' && LA1_0 <= 'Z')||(LA1_0 >= 'a' && LA1_0 <= 'z')) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:
            	    {
            	    if ( input.LA(1)==' '||(input.LA(1) >= '+' && input.LA(1) <= ':')||(input.LA(1) >= 'A' && input.LA(1) <= 'Z')||(input.LA(1) >= 'a' && input.LA(1) <= 'z') ) {
            	        input.consume();
            	    }
            	    else {
            	        MismatchedSetException mse = new MismatchedSetException(null,input);
            	        recover(mse);
            	        throw mse;
            	    }


            	    }
            	    break;

            	default :
            	    if ( cnt1 >= 1 ) break loop1;
                        EarlyExitException eee =
                            new EarlyExitException(1, input);
                        throw eee;
                }
                cnt1++;
            } while (true);


            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "STRVALUE"

    // $ANTLR start "LPAREN"
    public final void mLPAREN() throws RecognitionException {
        try {
            int _type = LPAREN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:196:9: ( '(' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:196:11: '('
            {
            match('('); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "LPAREN"

    // $ANTLR start "SEMICOLON"
    public final void mSEMICOLON() throws RecognitionException {
        try {
            int _type = SEMICOLON;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:198:11: ( ';' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:198:14: ';'
            {
            match(';'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "SEMICOLON"

    // $ANTLR start "UCLETTER"
    public final void mUCLETTER() throws RecognitionException {
        try {
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:200:19: ( 'A' .. 'Z' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:
            {
            if ( (input.LA(1) >= 'A' && input.LA(1) <= 'Z') ) {
                input.consume();
            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;
            }


            }


        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "UCLETTER"

    // $ANTLR start "LCLETTER"
    public final void mLCLETTER() throws RecognitionException {
        try {
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:202:19: ( 'a' .. 'z' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:
            {
            if ( (input.LA(1) >= 'a' && input.LA(1) <= 'z') ) {
                input.consume();
            }
            else {
                MismatchedSetException mse = new MismatchedSetException(null,input);
                recover(mse);
                throw mse;
            }


            }


        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "LCLETTER"

    // $ANTLR start "LBRACKET"
    public final void mLBRACKET() throws RecognitionException {
        try {
            int _type = LBRACKET;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:205:2: ( '[' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:205:4: '['
            {
            match('['); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "LBRACKET"

    // $ANTLR start "RBRACKET"
    public final void mRBRACKET() throws RecognitionException {
        try {
            int _type = RBRACKET;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:208:2: ( ']' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:208:4: ']'
            {
            match(']'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "RBRACKET"

    // $ANTLR start "RPAREN"
    public final void mRPAREN() throws RecognitionException {
        try {
            int _type = RPAREN;
            int _channel = DEFAULT_TOKEN_CHANNEL;
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:210:9: ( ')' )
            // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:210:11: ')'
            {
            match(')'); 

            }

            state.type = _type;
            state.channel = _channel;
        }
        finally {
        	// do for sure before leaving
        }
    }
    // $ANTLR end "RPAREN"

    public void mTokens() throws RecognitionException {
        // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:8: ( T__20 | T__21 | T__22 | T__23 | T__24 | T__25 | T__26 | T__27 | T__28 | T__29 | T__30 | T__31 | T__32 | T__33 | T__34 | T__35 | T__36 | T__37 | T__38 | T__39 | T__40 | T__41 | T__42 | T__43 | T__44 | T__45 | T__46 | T__47 | T__48 | T__49 | T__50 | T__51 | T__52 | T__53 | T__54 | T__55 | T__56 | T__57 | SPACE | COLON | MINUS | COMMA | PLUS | SLASH | STRVALUE | LPAREN | SEMICOLON | LBRACKET | RBRACKET | RPAREN )
        int alt2=50;
        alt2 = dfa2.predict(input);
        switch (alt2) {
            case 1 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:10: T__20
                {
                mT__20(); 


                }
                break;
            case 2 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:16: T__21
                {
                mT__21(); 


                }
                break;
            case 3 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:22: T__22
                {
                mT__22(); 


                }
                break;
            case 4 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:28: T__23
                {
                mT__23(); 


                }
                break;
            case 5 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:34: T__24
                {
                mT__24(); 


                }
                break;
            case 6 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:40: T__25
                {
                mT__25(); 


                }
                break;
            case 7 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:46: T__26
                {
                mT__26(); 


                }
                break;
            case 8 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:52: T__27
                {
                mT__27(); 


                }
                break;
            case 9 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:58: T__28
                {
                mT__28(); 


                }
                break;
            case 10 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:64: T__29
                {
                mT__29(); 


                }
                break;
            case 11 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:70: T__30
                {
                mT__30(); 


                }
                break;
            case 12 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:76: T__31
                {
                mT__31(); 


                }
                break;
            case 13 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:82: T__32
                {
                mT__32(); 


                }
                break;
            case 14 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:88: T__33
                {
                mT__33(); 


                }
                break;
            case 15 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:94: T__34
                {
                mT__34(); 


                }
                break;
            case 16 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:100: T__35
                {
                mT__35(); 


                }
                break;
            case 17 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:106: T__36
                {
                mT__36(); 


                }
                break;
            case 18 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:112: T__37
                {
                mT__37(); 


                }
                break;
            case 19 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:118: T__38
                {
                mT__38(); 


                }
                break;
            case 20 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:124: T__39
                {
                mT__39(); 


                }
                break;
            case 21 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:130: T__40
                {
                mT__40(); 


                }
                break;
            case 22 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:136: T__41
                {
                mT__41(); 


                }
                break;
            case 23 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:142: T__42
                {
                mT__42(); 


                }
                break;
            case 24 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:148: T__43
                {
                mT__43(); 


                }
                break;
            case 25 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:154: T__44
                {
                mT__44(); 


                }
                break;
            case 26 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:160: T__45
                {
                mT__45(); 


                }
                break;
            case 27 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:166: T__46
                {
                mT__46(); 


                }
                break;
            case 28 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:172: T__47
                {
                mT__47(); 


                }
                break;
            case 29 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:178: T__48
                {
                mT__48(); 


                }
                break;
            case 30 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:184: T__49
                {
                mT__49(); 


                }
                break;
            case 31 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:190: T__50
                {
                mT__50(); 


                }
                break;
            case 32 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:196: T__51
                {
                mT__51(); 


                }
                break;
            case 33 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:202: T__52
                {
                mT__52(); 


                }
                break;
            case 34 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:208: T__53
                {
                mT__53(); 


                }
                break;
            case 35 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:214: T__54
                {
                mT__54(); 


                }
                break;
            case 36 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:220: T__55
                {
                mT__55(); 


                }
                break;
            case 37 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:226: T__56
                {
                mT__56(); 


                }
                break;
            case 38 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:232: T__57
                {
                mT__57(); 


                }
                break;
            case 39 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:238: SPACE
                {
                mSPACE(); 


                }
                break;
            case 40 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:244: COLON
                {
                mCOLON(); 


                }
                break;
            case 41 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:250: MINUS
                {
                mMINUS(); 


                }
                break;
            case 42 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:256: COMMA
                {
                mCOMMA(); 


                }
                break;
            case 43 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:262: PLUS
                {
                mPLUS(); 


                }
                break;
            case 44 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:267: SLASH
                {
                mSLASH(); 


                }
                break;
            case 45 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:273: STRVALUE
                {
                mSTRVALUE(); 


                }
                break;
            case 46 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:282: LPAREN
                {
                mLPAREN(); 


                }
                break;
            case 47 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:289: SEMICOLON
                {
                mSEMICOLON(); 


                }
                break;
            case 48 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:299: LBRACKET
                {
                mLBRACKET(); 


                }
                break;
            case 49 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:308: RBRACKET
                {
                mRBRACKET(); 


                }
                break;
            case 50 :
                // C:\\Users\\Woody\\Documents\\antlr\\SGF.g:1:317: RPAREN
                {
                mRPAREN(); 


                }
                break;

        }

    }


    protected DFA2 dfa2 = new DFA2(this);
    static final String DFA2_eotS =
        "\1\uffff\1\26\1\42\1\45\13\26\1\75\1\76\1\77\1\100\1\101\1\102\1"+
        "\103\6\uffff\1\104\1\105\1\106\1\107\1\110\1\26\1\uffff\1\112\1"+
        "\113\1\uffff\1\114\1\26\1\117\1\120\1\121\1\26\1\123\1\124\1\125"+
        "\1\126\1\26\1\131\1\132\1\133\1\134\1\26\1\136\1\137\1\140\1\26"+
        "\1\142\1\143\1\26\14\uffff\1\26\3\uffff\2\26\3\uffff\1\26\4\uffff"+
        "\2\26\4\uffff\1\26\3\uffff\1\26\2\uffff\2\26\1\160\1\26\1\162\3"+
        "\26\1\166\1\167\1\26\1\171\1\uffff\1\172\1\uffff\1\173\2\26\2\uffff"+
        "\1\176\3\uffff\1\26\1\u0081\1\uffff\2\26\1\uffff\6\26\1\u008a\1"+
        "\u008b\2\uffff";
    static final String DFA2_eofS =
        "\u008c\uffff";
    static final String DFA2_minS =
        "\1\40\1\102\2\40\1\124\1\126\1\106\2\115\1\102\1\105\1\117\1\115"+
        "\1\123\1\127\7\40\6\uffff\5\40\1\141\1\uffff\2\40\1\uffff\1\40\1"+
        "\124\3\40\1\115\4\40\1\141\4\40\1\132\3\40\1\145\2\40\1\151\14\uffff"+
        "\1\143\3\uffff\1\145\1\156\3\uffff\1\145\4\uffff\1\103\1\165\4\uffff"+
        "\1\145\3\uffff\1\127\2\uffff\1\164\1\153\1\40\1\164\1\40\2\145\1"+
        "\154\2\40\1\145\1\40\1\uffff\1\40\1\uffff\1\40\1\162\1\164\2\uffff"+
        "\1\40\3\uffff\1\102\1\40\1\uffff\1\154\1\150\1\uffff\1\141\1\151"+
        "\1\143\1\164\1\153\1\145\2\40\2\uffff";
    static final String DFA2_maxS =
        "\1\172\1\127\2\172\1\141\1\126\1\106\1\141\1\115\1\154\1\125\1\151"+
        "\1\115\1\123\1\151\7\172\6\uffff\5\172\1\141\1\uffff\2\172\1\uffff"+
        "\1\172\1\124\3\172\1\115\4\172\1\141\4\172\1\132\3\172\1\145\2\172"+
        "\1\151\14\uffff\1\143\3\uffff\1\145\1\156\3\uffff\1\145\4\uffff"+
        "\1\171\1\165\4\uffff\1\145\3\uffff\1\127\2\uffff\1\164\1\153\1\172"+
        "\1\164\1\172\2\145\1\154\2\172\1\145\1\172\1\uffff\1\172\1\uffff"+
        "\1\172\1\162\1\164\2\uffff\1\172\3\uffff\1\127\1\172\1\uffff\1\154"+
        "\1\150\1\uffff\1\141\1\151\1\143\1\164\1\153\1\145\2\172\2\uffff";
    static final String DFA2_acceptS =
        "\26\uffff\1\55\1\56\1\57\1\60\1\61\1\62\6\uffff\1\4\2\uffff\1\10"+
        "\27\uffff\1\43\1\47\1\50\1\51\1\52\1\53\1\54\1\1\1\2\1\3\1\5\1\6"+
        "\1\uffff\1\11\1\12\1\13\2\uffff\1\15\1\17\1\20\1\uffff\1\22\1\23"+
        "\1\24\1\25\2\uffff\1\31\1\33\1\34\1\35\1\uffff\1\37\1\40\1\41\1"+
        "\uffff\1\44\1\45\14\uffff\1\14\1\uffff\1\21\3\uffff\1\36\1\42\1"+
        "\uffff\1\7\1\16\1\26\2\uffff\1\46\2\uffff\1\32\10\uffff\1\27\1\30";
    static final String DFA2_specialS =
        "\u008c\uffff}>";
    static final String[] DFA2_transitionS = {
            "\1\20\7\uffff\1\27\1\33\1\uffff\1\24\1\23\1\22\1\26\1\25\12"+
            "\26\1\21\1\30\5\uffff\1\1\1\2\1\3\1\4\1\5\1\6\1\7\3\26\1\10"+
            "\4\26\1\11\1\26\1\12\1\13\1\14\1\15\1\16\1\17\3\26\1\31\1\uffff"+
            "\1\32\3\uffff\32\26",
            "\1\34\15\uffff\1\35\6\uffff\1\36",
            "\1\26\12\uffff\20\26\6\uffff\2\26\1\37\16\26\1\40\10\26\6\uffff"+
            "\13\26\1\41\16\26",
            "\1\26\12\uffff\20\26\6\uffff\1\43\16\26\1\44\12\26\6\uffff"+
            "\32\26",
            "\1\46\14\uffff\1\47",
            "\1\50",
            "\1\51",
            "\1\52\23\uffff\1\53",
            "\1\54",
            "\1\55\1\56\23\uffff\1\57\24\uffff\1\60",
            "\1\61\17\uffff\1\62",
            "\1\63\12\uffff\1\64\16\uffff\1\65",
            "\1\66",
            "\1\67",
            "\1\70\21\uffff\1\71",
            "\1\26\12\uffff\20\26\6\uffff\2\26\1\72\16\26\1\73\10\26\6\uffff"+
            "\7\26\1\74\22\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\111",
            "",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\115",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\4\26\1\116\25\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\122",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\127",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\22\26\1\130\7\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\135",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\141",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\144",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\145",
            "",
            "",
            "",
            "\1\146",
            "\1\147",
            "",
            "",
            "",
            "\1\150",
            "",
            "",
            "",
            "",
            "\1\151\65\uffff\1\152",
            "\1\153",
            "",
            "",
            "",
            "",
            "\1\154",
            "",
            "",
            "",
            "\1\155",
            "",
            "",
            "\1\156",
            "\1\157",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\161",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\163",
            "\1\164",
            "\1\165",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\170",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\174",
            "\1\175",
            "",
            "",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "",
            "",
            "",
            "\1\177\24\uffff\1\u0080",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "",
            "\1\u0082",
            "\1\u0083",
            "",
            "\1\u0084",
            "\1\u0085",
            "\1\u0086",
            "\1\u0087",
            "\1\u0088",
            "\1\u0089",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "\1\26\12\uffff\20\26\6\uffff\32\26\6\uffff\32\26",
            "",
            ""
    };

    static final short[] DFA2_eot = DFA.unpackEncodedString(DFA2_eotS);
    static final short[] DFA2_eof = DFA.unpackEncodedString(DFA2_eofS);
    static final char[] DFA2_min = DFA.unpackEncodedStringToUnsignedChars(DFA2_minS);
    static final char[] DFA2_max = DFA.unpackEncodedStringToUnsignedChars(DFA2_maxS);
    static final short[] DFA2_accept = DFA.unpackEncodedString(DFA2_acceptS);
    static final short[] DFA2_special = DFA.unpackEncodedString(DFA2_specialS);
    static final short[][] DFA2_transition;

    static {
        int numStates = DFA2_transitionS.length;
        DFA2_transition = new short[numStates][];
        for (int i=0; i<numStates; i++) {
            DFA2_transition[i] = DFA.unpackEncodedString(DFA2_transitionS[i]);
        }
    }

    class DFA2 extends DFA {

        public DFA2(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 2;
            this.eot = DFA2_eot;
            this.eof = DFA2_eof;
            this.min = DFA2_min;
            this.max = DFA2_max;
            this.accept = DFA2_accept;
            this.special = DFA2_special;
            this.transition = DFA2_transition;
        }
        public String getDescription() {
            return "1:1: Tokens : ( T__20 | T__21 | T__22 | T__23 | T__24 | T__25 | T__26 | T__27 | T__28 | T__29 | T__30 | T__31 | T__32 | T__33 | T__34 | T__35 | T__36 | T__37 | T__38 | T__39 | T__40 | T__41 | T__42 | T__43 | T__44 | T__45 | T__46 | T__47 | T__48 | T__49 | T__50 | T__51 | T__52 | T__53 | T__54 | T__55 | T__56 | T__57 | SPACE | COLON | MINUS | COMMA | PLUS | SLASH | STRVALUE | LPAREN | SEMICOLON | LBRACKET | RBRACKET | RPAREN );";
        }
    }
 

}